org.wildfly.swarm.config.ejb3

## Class ApplicationSecurityDomain<T extends ApplicationSecurityDomain<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ejb3.ApplicationSecurityDomain<T>

-     public class ApplicationSecurityDomain<T extends ApplicationSecurityDomain<T>>
      extends Object

  A mapping from a security domain referenced in a deployed application

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationSecurityDomain(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `enableJacc()` Enable authorization using JACC
    `T` | `enableJacc(Boolean value)` Enable authorization using JACC
    `String` | `getKey()`
    `T` | `referencingDeployment(String value)` The deployments currently referencing this mapping
    `List<String>` | `referencingDeployments()` The deployments currently referencing this mapping
    `T` | `referencingDeployments(List<String> value)` The deployments currently referencing this mapping
    `T` | `referencingDeployments(String... args)` The deployments currently referencing this mapping
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `securityDomain()` The Elytron security domain to be used by deployments that reference the mapped security domain
    `T` | `securityDomain(String value)` The Elytron security domain to be used by deployments that reference the mapped security domain

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationSecurityDomain

          public ApplicationSecurityDomain(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### enableJacc

          public Boolean enableJacc()

      Enable authorization using JACC

    - #### enableJacc

          public T enableJacc(Boolean value)

      Enable authorization using JACC

    - #### referencingDeployments

          public List<String> referencingDeployments()

      The deployments currently referencing this mapping

    - #### referencingDeployments

          public T referencingDeployments(List<String> value)

      The deployments currently referencing this mapping

    - #### referencingDeployment

          public T referencingDeployment(String value)

      The deployments currently referencing this mapping

    - #### referencingDeployments

          public T referencingDeployments(String... args)

      The deployments currently referencing this mapping

    - #### securityDomain

          public String securityDomain()

      The Elytron security domain to be used by deployments that reference the mapped security domain

    - #### securityDomain

          public T securityDomain(String value)

      The Elytron security domain to be used by deployments that reference the mapped security domain

Copyright © 2017 JBoss by Red Hat. All rights reserved.